curl --location 'https://mock.apidog.com/m1/1364933-0-default/trips' \
--header 'Content-Type: application/json' \
--data '{
"title": "Weekend in Luxor",
"start_date": "2026-09-10",
"end_date": "2026-09-13",
"no_of_travelers": 2,
"budget": 1200,
"travel_style": "cultural",
"interests": [
"history",
"museums"
],
"destination_id": 5
}'{
"success": true,
"message": "Trip created successfully",
"data": {
"id": 101,
"user_id": 42,
"title": "Summer Holiday in Greece",
"travel_style": "beach",
"interests": [
"hiking",
"beaches"
],
"no_of_travelers": 2,
"budget": 2500,
"no_of_days": 7,
"start_date": "2026-07-01",
"end_date": "2026-07-08",
"status": "planned",
"estimated_cost": 2100,
"is_public": true,
"itinerary_items": [
{
"id": 1,
"itemable_type": "App\\Models\\Catalog\\Hotel",
"itemable_id": 12,
"itemable": {
"id": 12,
"name": "Volcano View Hotel",
"price_per_night": 250
},
"day_number": 1,
"item_order": 1,
"type": "accommodation",
"time_slot": "morning",
"title": "Check-in Volcano View Hotel",
"notes": "Enjoy the caldera sunset view.",
"estimated_cost": 250,
"latitude": 36.3932,
"longitude": 25.4615,
"location_label": "Santorini"
}
]
}
}